Page MenuHomePhabricator

Move all cluster locking logic to a separate class
ClosedPublic

Authored by epriestley on Apr 24 2016, 4:07 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Aug 10, 7:02 PM
Unknown Object (File)
Sat, Aug 6, 2:57 PM
Unknown Object (File)
Tue, Aug 2, 11:26 PM
Unknown Object (File)
Sat, Jul 30, 8:57 AM
Unknown Object (File)
Thu, Jul 28, 8:05 PM
Unknown Object (File)
Jul 14 2022, 6:46 PM
Unknown Object (File)
Jul 9 2022, 9:33 AM
Unknown Object (File)
Jul 9 2022, 9:33 AM
Subscribers
None

Details

Summary

Ref T10860. This doesn't change anything, it just separates all this stuff out of PhabricatorRepository since I'm planning to add a bit more state to it and it's already pretty big and fairly separable.

Test Plan

Pulled, pushed, browsed Diffusion.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Move all cluster locking logic to a separate class.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Apr 25 2016, 2:15 PM
This revision was automatically updated to reflect the committed changes.